List partner allocations and deallocations
Lists all allocations and deallocations. For use only by OES partners.
Requires access token scope: settlement_network_read
Path Params
-
enterpriseIdstring required
Query Params
-
allocationIdsarray of stringsOptional array of allocationIds. allocationIds are unique identifiers (UUIDs) for allocations. If UUIDs are provided, only allocations/deallocations with those UUIDs are returned. UUIDs must be submitted as a comma-separated string. -
typesarray of string enumsOptional array of types. If types are provided, only allocations/deallocations with those types are returned. Types must be submitted as a comma-separated string. allocation = records for allocations to connections. deallocation = records for deallocations from connections.allocationdeallocation -
statusesarray of string enumsOptional array of statuses. If statuses are provided, only allocations/deallocations with those statuses are returned. Statuses must be submitted as a comma-separated string. cleared = records for allocations that have been cleared. released = records for allocations that have been released. reserved = records for allocations that are still reserved.clearedreleasedreserved -
currenciesarray of stringsOptional array of partner mapped currencies. If currencies are provided, only allocations/deallocations with those currencies are returned. Currencies must be submitted as a comma-separated string. -
connectionIdsarray of stringsOptional array of connectionIds. If connectionIds are provided, only allocations/deallocations for those connectionIds are returned. ConnectionIds must be submitted as a comma-separated string. -
partnerIdsarray of stringsOptional array of partnerIds. If partnerIds are provided, only allocations/deallocations for those partnerIds are returned. PartnerIds must be submitted as a comma-separated string. -
clientIdsarray of stringsOptional array of clientIds. If clientIds are provided, only allocations/deallocations for those clientIds are returned. ClientIds must be submitted as a comma-separated string. -
pageNumberstring integerThe page number (integer) you wish to fetch. When provided, the API will skip pageSize * pageNumber records. Page numbers are zero-based, so the first page is 0. If not provided, defaults to 0. -
pageSizestringThe page size (integer) you wish to fetch. When provided, the API will return at most pageSize records per page. If not provided, a default page size defined by the server will be used. -
sortFieldstring enumThe field to sort results on.
Possible values:
- id: Sort by allocation ID.
- updatedAt: Sort by the last updated timestamp.
- quantity: Sort by the allocation amount quantity.
Note: A final sort is always applied on createdAt ascending and id ascending, regardless of the specified sortField. This ensures consistent ordering for items with the same primary sort value.
idupdatedAtquantity -
sortDirectionstring enumThe direction to sort results.
Possible values:
- ASC: Ascending order (lowest to highest, A to Z, oldest to newest)
- DESC: Descending order (highest to lowest, Z to A, newest to oldest)
If not specified, defaults to ASC (ascending).
ASCDESC
Responses
200
OK
Response Body
object
-
allocationsarray of objects requiredallocations object
-
idstring requiredThe unique identifier of the allocation/deallocation. This is a UUID that uniquely identifies the allocation record. -
amountobject requiredThe amount of the allocation/deallocation. Contains both the currency identifier and the quantity in base units.ONE OF
-
currencystring required -
quantitystring required
-
currencystring required -
quantitystring required
-
-
connectionIdstring requiredThe unique identifier of the connection this allocation is for. This identifies a connection between a client and partner. -
clientExternalIdstring requiredExternal identifier provided by the client when creating the allocation/deallocation. Used for idempotence and correlation with client systems. -
partnerExternalIdstringExternal identifier of the allocation/deallocation in the partner system. May be populated when partners provide their own identifier for the allocation. -
initiatedBystring requiredThe identifier of the user that initiated the allocation/deallocation. Represents the user ID from the BitGo platform. -
notesstringOptional notes provided by the client when creating the allocation/deallocation. Can contain additional context or information about the purpose of the allocation. -
createdAtstring date-time requiredThe date and time when the allocation/deallocation was created. Represented as an ISO 8601 formatted date string. -
updatedAtstring date-time requiredThe date and time when the allocation/deallocation was last updated. Represented as an ISO 8601 formatted date string. -
retriableboolean requiredIndicates whether or not the allocation/deallocation is retriable. When true, clients may retry the operation if it did not complete successfully. Retry can be performed by re-sending the same allocation request that was originally sent. -
evaluationIdstringThe unique identifier of the policy evaluation for this allocation/deallocation. Present when policy evaluation was performed as part of the allocation flow. -
pendingApprovalIdstringThe unique identifier of the pending approval for this allocation/deallocation. Present when policy evaluation resulted in a PENDING status requiring manual approval. -
policyResultstring enumThe result of the policy evaluation for this allocation/deallocation.
- 'approved': Policy evaluation passed and the operation was allowed
- 'rejected': Policy evaluation failed and the operation was denied Not present if no policy evaluation was performed or if evaluation is still pending.
approvedrejected -
reasonstring nullable requiredThe reason that the allocation/deallocation is not cleared. Provides a descriptive explanation for why the allocation is in the reserved state. Will not be defined if the allocation is cleared. -
statusstring enum requiredStatus of the allocation/deallocation.
Possible values:
- reserved: The amount for allocation/deallocation is reserved but operation has not completed. This is a temporary state awaiting final resolution.
- cleared: Terminal state; the amount for allocation/deallocation is cleared and funds have been successfully allocated. This indicates a successful operation.
- released: Terminal state; the amount for allocation/deallocation is released and funds have been returned. This indicates the operation failed, either because balance was insufficient for allocation/deallocation, or that the partner rejected the request to allocate/deallocate.
clearedreleasedreserved -
typestring enum requiredThe type of the entity.
Possible values:
- allocation: Represents an allocation of funds to a connection. This moves funds from a client's BitGo account to make them available for the specified connection.
- deallocation: Represents a deallocation of funds from a connection. This moves funds from a connection back to the client's BitGo account.
allocationdeallocation
-
401
Unauthorized
Response Body
object
-
errorstring required
403
Forbidden
Response Body
object
-
errorstring required
404
Not Found
Response Body
object
-
errorstring required
500
Internal Server Error
Response Body
object
-
errorstring required